%define fname	isodate

Name:		python-isodate
Summary:	An ISO 8601 date/time/duration parser and formatter Python module
Version:	0.7.2
Release:	%mkrel 3
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/isodate/
Source0:	https://pypi.io/packages/source/i/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:	noarch

%description
This Python 2 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%package -n python3-%{fname}
Summary:	An ISO 8601 date/time/duration parser and formatter Python 3 module
Group:		Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-%{fname}
This Python 3 module implements ISO 8601 date, time and duration parsing. The implementation follows ISO8601:2004 standard, and implements only date/time representations mentioned in the standard.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files isodate


%files -n python3-%{fname} -f %{pyproject_files}
%doc README.rst



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7.2-3.mga10
+ Revision: 2238368
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.7.2-2.mga10
+ Revision: 2155133
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 0.7.2-1.mga10
+ Revision: 2126265
- new version 0.7.2

* Thu Dec 28 2023 daviddavid <daviddavid> 0.6.1-2.mga10
+ Revision: 2022910
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 0.6.1-1.mga9
+ Revision: 1884887
- New version 	0.6.1

* Wed Mar 23 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1823236
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 0.6.0-4.mga9
+ Revision: 1782178
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.6.0-3.mga9
+ Revision: 1705465
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1535059
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1450807
- new version: 0.6.0

* Wed Sep 25 2019 daviddavid <daviddavid> 0.5.4-6.mga8
+ Revision: 1445765
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.5.4-5.mga7
+ Revision: 1351677
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.4-4.mga7
+ Revision: 1289081
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.4-3.mga7
+ Revision: 1135462
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 0.5.4-1.mga6
+ Revision: 905830
- update to O.5.4

* Thu Oct 08 2015 tv <tv> 0.5.0-5.mga6
+ Revision: 887455
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 749294
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-3.mga5
+ Revision: 728797
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 688092
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 philippem <philippem> 0.5.0-1.mga5
+ Revision: 638942
- update to 0.5.0

* Sat May 31 2014 pterjan <pterjan> 0.4.9-5.mga5
+ Revision: 628718
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.9-4.mga4
+ Revision: 543591
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.9-3.mga4
+ Revision: 498759
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.9-2.mga3
+ Revision: 379024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 0.4.9-1.mga3
+ Revision: 334894
- imported package python-isodate

